com.amazonaws.services.simpleworkflow.model

## Class RecordMarkerFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.RecordMarkerFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class RecordMarkerFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `RecordMarkerFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RecordMarkerFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordMarkerFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` The cause of the failure.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request.
`String` `getMarkerName()` The marker's name.
`int` `hashCode()`
`void` `setCause(RecordMarkerFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request.
`void` `setMarkerName(String markerName)` The marker's name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RecordMarkerFailedEventAttributes` `withCause(RecordMarkerFailedCause cause)` The cause of the failure.
`RecordMarkerFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`RecordMarkerFailedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request.
`RecordMarkerFailedEventAttributes` `withMarkerName(String markerName)` The marker's name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecordMarkerFailedEventAttributes

    public RecordMarkerFailedEventAttributes()

### Method Detail

#### setMarkerName

    public void setMarkerName(String markerName)

The marker's name.

Parameters:
  `markerName` - The marker's name.

#### getMarkerName

    public String getMarkerName()

The marker's name.

Returns:
  The marker's name.

#### withMarkerName

    public RecordMarkerFailedEventAttributes withMarkerName(String markerName)

The marker's name.

Parameters:
  `markerName` - The marker's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `RecordMarkerFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `RecordMarkerFailedCause`

#### withCause

    public RecordMarkerFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RecordMarkerFailedCause`

#### setCause

    public void setCause(RecordMarkerFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `RecordMarkerFailedCause`

#### withCause

    public RecordMarkerFailedEventAttributes withCause(RecordMarkerFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RecordMarkerFailedCause`

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public RecordMarkerFailedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarkerFailed` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RecordMarkerFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`